Skip to main content
POST
List Dreams

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

workspace_id
string
required

Query Parameters

page
integer
default:1

Page number (offset mode)

Required range: 1 <= x <= 2147483647
size
integer
default:50

Page size

Required range: 1 <= x <= 100
cursor
string | null

Opt in to cursor pagination. Send an empty value for the first page, then the next_page value from each response. When set, page is ignored and the response is a cursor page with no total.

Body

application/json

Filters for listing dream runs.

observed_id
string | null

Only runs about this peer

observer_id
string | null

Only runs from this observer's perspective. Combine with observed_id for one representation.

Response

Successful Response

items
DreamRun · object[]
required
total
integer
required

Number of matching rows, exact up to the server's PAGINATION_COUNT_LIMIT (default 100000) and reported as that limit plus one when there are more. While a next page exists it is at least one more than this page's last row, so pages always reaches the end of the list.

Required range: x >= 0
page
integer
required
Required range: x >= 1
size
integer
required
Required range: x >= 1
pages
integer
required
Required range: x >= 0